Bug 63503 - [Chromium] Pass an optional WebNode that is the node receiving the context menu action.
Summary: [Chromium] Pass an optional WebNode that is the node receiving the context me...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-27 19:01 PDT by James Hawkins
Modified: 2011-06-29 07:23 PDT (History)
1 user (show)

See Also:


Attachments
Patch (5.07 KB, patch)
2011-06-27 19:02 PDT, James Hawkins
fishd: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Hawkins 2011-06-27 19:01:59 PDT
[Chromium] Pass an optional WebNode that is the node receiving the context menu action.
Comment 1 James Hawkins 2011-06-27 19:02:36 PDT
Created attachment 98843 [details]
Patch
Comment 2 James Hawkins 2011-06-27 19:05:17 PDT
+Darin
Comment 3 Darin Fisher (:fishd, Google) 2011-06-27 22:08:00 PDT
Comment on attachment 98843 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98843&action=review

OK, R=me

> Source/WebKit/chromium/src/WebFrameImpl.cpp:1138
> +          pluginContainer = pluginContainerFromNode(node);

nit: indentation
Comment 4 James Hawkins 2011-06-28 09:57:05 PDT
(In reply to comment #3)
> (From update of attachment 98843 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=98843&action=review
> 
> OK, R=me
> 
> > Source/WebKit/chromium/src/WebFrameImpl.cpp:1138
> > +          pluginContainer = pluginContainerFromNode(node);
> 
> nit: indentation

Done.
Comment 5 James Hawkins 2011-06-28 09:58:12 PDT
Committed r89939: <http://trac.webkit.org/changeset/89939>
Comment 6 Pavel Feldman 2011-06-29 07:23:38 PDT
Comment on attachment 98843 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98843&action=review

> Source/WebKit/chromium/src/WebFrameImpl.cpp:291
> +    if (coreNode->hasTagName(HTMLNames::objectTag) || coreNode->hasTagName(HTMLNames::embedTag)) {

This call fails with coreNode == 0 in the "Copy" branch.